spec-beautifier(1)

Name
spec-beautifier — program to clean up RPM .spec files

Syntax
spec-beautifier [-d|-r] [file...]

Description
spec-beautifier checks .spec files, as used for rpmbuild(1), for inconsistencies and corrects them where possible, or emits a warnings to notify the user of required manual intervention.

Options
Without any options, the files are processed and the result is written to stdout (sort of a dry run).

-d  Instead of printing the substituted text, print a diff-like output with "-" and "+" lines, showing the differences applied.

-r  Not so dry run: Modify files in place.

See also
hxtools(7)